org.apache.catalina.tribes.group.interceptors

## Interface EncryptInterceptorMBean

- All Known Implementing Classes:
    EncryptInterceptor

      public interface EncryptInterceptorMBean

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getEncryptionAlgorithm()`
    `byte[]` | `getEncryptionKey()`
    `int` | `getOptionFlag()`
    `String` | `getProviderName()`
    `void` | `setEncryptionAlgorithm(String algorithm)`
    `void` | `setEncryptionKey(byte[] key)`
    `void` | `setOptionFlag(int optionFlag)`
    `void` | `setProviderName(String provider)`

- - ### Method Detail

    - #### getOptionFlag

          int getOptionFlag()

    - #### setOptionFlag

          void setOptionFlag(int optionFlag)

    - #### setEncryptionAlgorithm

          void setEncryptionAlgorithm(String algorithm)

    - #### getEncryptionAlgorithm

          String getEncryptionAlgorithm()

    - #### setEncryptionKey

          void setEncryptionKey(byte[] key)

    - #### getEncryptionKey

          byte[] getEncryptionKey()

    - #### setProviderName

          void setProviderName(String provider)

    - #### getProviderName

          String getProviderName()

Copyright © 2000-2021 Apache Software Foundation. All Rights Reserved.